# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-06-04 18:55
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number_buh', models.CharField(db_index=True, default='', max_length=50, verbose_name='Номер договора')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Дата создания')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Последнее изменение')),
                ('status_pay', models.CharField(choices=[('OP', 'Оплачен'), ('NO', 'Не оплачен'), ('VP', 'В процессе')], db_index=True, default='NO', max_length=2, verbose_name='Статус оплаты')),
                ('status_сompletion', models.BooleanField(default=False, verbose_name='Заказ завершен')),
                ('status_сlosing', models.BooleanField(default=False, verbose_name='Заказ закрыт')),
                ('comment', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('client', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='user_cl', to=settings.AUTH_USER_MODEL, verbose_name='Клиент')),
                ('expert', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='user_ex', to=settings.AUTH_USER_MODEL, verbose_name='Эксперт')),
                ('operator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='user_op', to=settings.AUTH_USER_MODEL, verbose_name='Оператор')),
                ('transferring', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='user_sd', to=settings.AUTH_USER_MODEL, verbose_name='Сдающий')),
            ],
            options={
                'verbose_name': 'заказ',
                'verbose_name_plural': 'заказы',
                'ordering': ['created'],
            },
        ),
    ]
